Bug 1003200 - Unmet dependency for wicd
Unmet dependency for wicd
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: wicd (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-31 14:30 EDT by Vadim Raskhozhev
Modified: 2014-06-27 11:28 EDT (History)
1 user (show)

See Also:
Fixed In Version: wicd-1.7.0-5.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-27 11:28:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Adding "Requires: pygobject2" to wicd.spec (1016 bytes, patch)
2013-08-31 14:30 EDT, Vadim Raskhozhev
no flags Details | Diff

  None (edit)
Description Vadim Raskhozhev 2013-08-31 14:30:34 EDT
Created attachment 792458 [details]
Adding "Requires: pygobject2" to wicd.spec

Description of problem:
Wicd doesn't automatically pull all the dependencies through yum.

Version-Release number of selected component (if applicable):
wicd-common-1.7.0-4.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. yum remove pygobject2
2. /usr/sbin/wicd --no-daemon
  
Actual results:
Traceback (most recent call last):
  File "/usr/share/wicd/daemon/wicd-daemon.py", line 45, in <module>
    import gobject
ImportError: No module named gobject

Expected results:
wicd-common should have pygobject2 in it's dependency tree

Additional note: there was a similar bug reported and fixed against fc16 (https://bugzilla.redhat.com/show_bug.cgi?id=754416). After adding "Requires: pygobject2" to wicd.spec (see the patch attached) and rebuilding the package it seems to work as it should.
Comment 1 Fedora Update System 2014-06-12 14:57:53 EDT
wicd-1.7.0-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/wicd-1.7.0-5.el6
Comment 2 Fedora Update System 2014-06-12 19:36:18 EDT
Package wicd-1.7.0-5.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing wicd-1.7.0-5.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1643/wicd-1.7.0-5.el6
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2014-06-27 11:28:04 EDT
wicd-1.7.0-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.